package com.qmth.qrzk.repository.user.service;

import java.util.List;

import com.qmth.qrzk.repository.service.query.UserQueryParams;
import com.qmth.qrzk.repository.user.model.User;

/**
 * 
 * @author zhonghui
 *
 */
public interface IUserService {
	
	User loginUser(User user);
	
	int updateLastLoginDate(User user);
	
	void updateUser(User user);
	
	public User getUserByLoginName(String loginName);
	
	public int addUser(User user);
	
	public int checkUserName(String name);
	
	public int updatepassword(User user);
	
	public int updateisEnabled(User user);
	
	public User findById(int id);
	
	public int checkPassword(User user);
	
	public List<User> queryUsers(UserQueryParams params);
	
	public int queryUsersCount(UserQueryParams params);
}
